Subject: Re: [PATCH] base: soc: Export soc_device_to_device() helper

From: Greg Kroah-Hartman <[email-masked]>
Date: Mon, 11 Nov 2019 06:27:41 +0100

On Mon, Nov 11, 2019 at 05:56:09AM +0100, Andreas Färber wrote:
> Use of soc_device_to_device() in driver modules causes a build failure.
> Given that the helper is nicely documented in include/linux/sys_soc.h,
> let's export it as GPL symbol.

I thought we were fixing the soc drivers to not need this.  What
happened to that effort?  I thought I had patches in my tree (or
someone's tree) that did some of this work already, such that this
symbol isn't needed anymore.

thanks,

greg k-h

_______________________________________________
linux-arm-kernel mailing list
[email-masked]
http://lists.infradead.org/mailman/listinfo/linux-arm-kernel